%% @author Marc Worrell <marc@worrell.nl>
%% @copyright 2011 Marc Worrell
%% @doc 'sha1' filter, translate a string to a sha1 hex value

%% Copyright 2011 Marc Worrell
%%
%% Licensed under the Apache License, Version 2.0 (the "License");
%% you may not use this file except in compliance with the License.
%% You may obtain a copy of the License at
%% 
%%     http://www.apache.org/licenses/LICENSE-2.0
%% 
%% Unless required by applicable law or agreed to in writing, software
%% distributed under the License is distributed on an "AS IS" BASIS,
%% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
%% See the License for the specific language governing permissions and
%% limitations under the License.

-module(filter_sha1).
-export([sha1/2]).


sha1(undefined, _Context) ->
    undefined;
sha1(Input, _Context) ->
    erlang:iolist_to_binary(z_utils:hex_encode(crypto:hash(sha, z_convert:to_binary(Input)))).
